Package org.bukkit.material

# Class Stairs

java.lang.Object
org.bukkit.material.MaterialData
org.bukkit.material.Stairs

All Implemented Interfaces:
  `Cloneable`, `Directional`

@Deprecated public class Stairs extends MaterialData implements Directional
Deprecated.
all usage of MaterialData is deprecated and subject to removal. Use `BlockData`.
Represents stairs.

## Constructor Summary

Constructors
Constructor
Description
`Stairs(Material type)`
Deprecated.
`Stairs(Material type, byte data)`
Deprecated.
Magic value

## Method Summary

Modifier and Type
Method
Description
`Stairs`
`clone()`
Deprecated.
`BlockFace`
`getAscendingDirection()`
Deprecated.
`BlockFace`
`getDescendingDirection()`
Deprecated.
`BlockFace`
`getFacing()`
Deprecated.
Gets the direction this block is facing
`boolean`
`isInverted()`
Deprecated.
Test if step is inverted
`void`
`setFacingDirection(BlockFace face)`
Deprecated.
Set the direction the stair part of the block is facing
`void`
`setInverted(boolean inv)`
Deprecated.
Set step inverted state
`String`
`toString()`
Deprecated.

### Methods inherited from class org.bukkit.material.MaterialData

`equals, getData, getItemType, hashCode, setData, toItemStack, toItemStack`

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Stairs

public Stairs(Material type)
Deprecated.

### Stairs

@Deprecated public Stairs(Material type, byte data)
Deprecated.
Magic value

Parameters:
  `type` - the type
  `data` - the raw data value

## Method Details

### getAscendingDirection

public BlockFace getAscendingDirection()
Deprecated.

Returns:
  the direction the stairs ascend towards

### getDescendingDirection

public BlockFace getDescendingDirection()
Deprecated.

Returns:
  the direction the stairs descend towards

### setFacingDirection

public void setFacingDirection(BlockFace face)
Deprecated.
Set the direction the stair part of the block is facing

Specified by:
  `setFacingDirection` in interface `Directional`
Parameters:
  `face` - The facing direction

### getFacing

public BlockFace getFacing()
Deprecated.
Description copied from interface: `Directional`
Gets the direction this block is facing

Specified by:
  `getFacing` in interface `Directional`
Returns:
  the direction the stair part of the block is facing

### isInverted

public boolean isInverted()
Deprecated.
Test if step is inverted

Returns:
  true if inverted (top half), false if normal (bottom half)

### setInverted

public void setInverted(boolean inv)
Deprecated.
Set step inverted state

Parameters:
  `inv` - - true if step is inverted (top half), false if step is normal (bottom half)

### toString

public String toString()
Deprecated.

Overrides:
  `toString` in class `MaterialData`

### clone

public Stairs clone()
Deprecated.

Overrides:
  `clone` in class `MaterialData`